UiPath Documentation
orchestrator
2022.4
false
Orchestrator API ガイド
重要 :
このコンテンツの一部は機械翻訳によって処理されており、完全な翻訳を保証するものではありません。 新しいコンテンツの翻訳は、およそ 1 ~ 2 週間で公開されます。

特定のグループを取得する

組織およびグループ ID に基づいて、グループに関する情報を返します。

API エンドポイント

GET https://{yourDomain}/identity/api/Group/{partitionGlobalId}/{groupId}

スコープ

次のスコープが必要です。

  • PM.Group
  • PM.Group.Read

要求ヘッダー

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
注:

To obtain the {access_token}, make sure to authenticate through one of the methods described here.

パス パラメーター

パス パラメーターデータ型説明
partitionGlobalId

(必須)
文字列目的のグループを含む組織の ID です。
groupID

(必須)
文字列取得するグループの ID です。

応答

200 OK

指定したグループの情報が返されます。

要求の例

API 呼び出しの構築に必要な情報をすべて収集したとします。

  • {baseURL}https://{yourDomain}/identity です。
  • {access_token}1234 です (長さを考慮)。
  • {partitionGlobalId}3fa85f64-5717-4562-b3fc-2c963f66afa6 です。
  • {groupID}2512 です。

呼び出しは次の例のようになります (cURL)。

curl --location --request GET 'https://{yourDomain}/identity/api/Group/3fa85f64-5717-4562-b3fc-2c963f66afa6/2512' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET 'https://{yourDomain}/identity/api/Group/3fa85f64-5717-4562-b3fc-2c963f66afa6/2512' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'

呼び出しが成功した場合、応答本文は次のようになります。

{
    "id": "2512",
    "name": "Automation Developers",
    "displayName": "Automation Developers",
    "type": 0,
    "creationTime": "2021-10-19T14:25:01.6574988",
    "lastModificationTime": "2021-10-19T14:25:01.6574988",
    "members": [
        {
            "objectType": "DirectoryUser",
            "firstName": "Albus",
            "lastName": "D",
            "jobTitle": "master",
            "companyName": "Hogwarts",
            "city": "London",
            "department": "magic",
            "displayName": "Albus D",
            "source": "local",
            "identifier": "1787ef38-5933-4f2c-a67a-9c22cdb8e6a2",
            "name": "albus",
            "email": "albus@hogwarts.com"
        }
    ]
}
{
    "id": "2512",
    "name": "Automation Developers",
    "displayName": "Automation Developers",
    "type": 0,
    "creationTime": "2021-10-19T14:25:01.6574988",
    "lastModificationTime": "2021-10-19T14:25:01.6574988",
    "members": [
        {
            "objectType": "DirectoryUser",
            "firstName": "Albus",
            "lastName": "D",
            "jobTitle": "master",
            "companyName": "Hogwarts",
            "city": "London",
            "department": "magic",
            "displayName": "Albus D",
            "source": "local",
            "identifier": "1787ef38-5933-4f2c-a67a-9c22cdb8e6a2",
            "name": "albus",
            "email": "albus@hogwarts.com"
        }
    ]
}
  • API エンドポイント
  • スコープ
  • 要求ヘッダー
  • パス パラメーター
  • 応答
  • 200 OK
  • 要求の例

このページは役に立ちましたか?

接続

ヘルプ リソース サポート

学習する UiPath アカデミー

質問する UiPath フォーラム

最新情報を取得